Package twisted :: Package spread :: Module flavors

[show private | hide private]
[frames | no frames]

## Module twisted.spread.flavors

Classes
`Cacheable` | A cached instance.
`Copyable` | Subclass me to get copied each time you are returned from or passed to a remote method.
`Referenceable` |
`RemoteCache` | A cache is a local representation of a remote `Cacheable`object.
`RemoteCacheMethod` | A method on a reference to a `RemoteCache`.
`RemoteCacheObserver` | I am a reverse-reference to the peer's `RemoteCache`.
`RemoteCopy` | I am a remote copy of a Copyable object.
`Root` | I provide a root object to `pb.Broker`s for a `pb.BrokerFactory`.
`Serializable` | An object that can be passed remotely.
`Viewable` | I will be converted to a `ViewPoint`when passed to or returned from a remote method.
`ViewPoint` | I act as an indirect reference to an object accessed through a `pb.Perspective`.

Function Summary
| `unjellyCached(unjellier, unjellyList)`
| `unjellyLCache(unjellier, unjellyList)`
| `unjellyLocal(unjellier, unjellyList)`

Variable Summary
`string` | `__version__`
`string` | `cache_atom`
`string` | `cached_atom`
`string` | `copy_atom`
`dictionary` | `copyTags`
`string` | `remote_atom`
`dictionary` | `unjellyableRegistry`

Variable Details

### __version__

  Type:
    `string`
  Value:

        '1.27'

### cache_atom

  Type:
    `string`
  Value:

        'cache'

### cached_atom

  Type:
    `string`
  Value:

        'cached'

### copy_atom

  Type:
    `string`
  Value:

        'copy'

### copyTags

  Type:
    `dictionary`
  Value:

        {'cached': <function unjellyCached at 0x8228c4c>,
         'lcache': <function unjellyLCache at 0x8239a34>,
         'local': <function unjellyLocal at 0x8239a6c>,
         'remote': <class twisted.spread.pb.RemoteReference at 0x843b3c4>,
         'twisted.spread.pb.CopyableFailure': <class twisted.spread.pb.CopiedF\
        ailure at 0x83acabc>,
         'twisted.web.server.Request': <class twisted.web.distrib.Request at 0\
        x89212cc>}

### remote_atom

  Type:
    `string`
  Value:

        'remote'

### unjellyableRegistry

  Type:
    `dictionary`
  Value:

        {'cached': <function unjellyCached at 0x8228c4c>,
         'lcache': <function unjellyLCache at 0x8239a34>,
         'local': <function unjellyLocal at 0x8239a6c>,
         'remote': <class twisted.spread.pb.RemoteReference at 0x843b3c4>,
         'twisted.spread.pb.CopyableFailure': <class twisted.spread.pb.CopiedF\
        ailure at 0x83acabc>,
         'twisted.web.server.Request': <class twisted.web.distrib.Request at 0\
        x89212cc>}

Generated by Epydoc 1.1 on Sat Feb 15 21:18:12 2003 | http://epydoc.sf.net